Bug 1478612 - Cannot add organizationalPerson via UI as naming attribute cannot be changed to cn
Cannot add organizationalPerson via UI as naming attribute cannot be changed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 389-console (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 23:18 EDT by Richard Chan
Modified: 2018-05-10 12:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-10 12:17:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cannot change naming attribute from uid to cn (28.01 KB, image/png)
2017-08-04 23:18 EDT, Richard Chan
no flags Details
Object added by ldapadd (49.83 KB, image/png)
2017-08-04 23:25 EDT, Richard Chan
no flags Details

  None (edit)
Description Richard Chan 2017-08-04 23:18:05 EDT
Created attachment 1309259 [details]
Cannot change naming attribute from uid to cn

Description of problem:
When adding organizationalPerson, uid is "forced" even though this attribute is not in the objectClass


Version-Release number of selected component (if applicable):
389-adminutil-1.1.23-2.fc26.x86_64
389-admin-console-1.1.12-2.fc26.noarch
389-dsgw-1.1.11-11.fc26.x86_64
389-ds-base-libs-1.3.6.6-2.fc26.x86_64
389-ds-console-1.2.16-2.fc26.noarch
389-ds-1.2.2-9.fc26.noarch
389-console-1.1.18-2.fc26.noarch
389-ds-base-1.3.6.6-2.fc26.x86_64
389-ds-console-doc-1.2.16-2.fc26.noarch
389-admin-1.1.46-1.fc26.1.x86_64
389-admin-console-doc-1.1.12-2.fc26.noarch


How reproducible:
Always

Steps to Reproduce:
1. Use 389-console to add an organizationalPerson (First Name, Last Name, Common Name are starred)
2. Clear User ID field (uid is not in organizationalPerson)
3. Go to Advanced to delete First Name attribute (givenName is not in organizationalPerson)

Actual results:
Now stuck — unable to change naming attribute to cn

Expected results:
1. Able to remove User ID attribute (uid not applicable)
2. Able to remove First Name attribute (givenName not applicable)
3. Able to set cn as naming attribute instead of non-existent uid


Additional info:
The UI seems fixated on using uid and naming attribute; if I add other objectClasses like inetorgperson, it works, as I can use either uid or cn as naming attribute
Comment 1 Richard Chan 2017-08-04 23:24:47 EDT
Object added using ldapadd has everything correct:

1. No User ID
2. No First Name
3. Naming attribute is cn
Comment 2 Richard Chan 2017-08-04 23:25 EDT
Created attachment 1309260 [details]
Object added by ldapadd
Comment 3 Richard Chan 2017-08-04 23:52:10 EDT
I can create an organizationalPerson only in the following way:

1. Add and save a inetorgperson object
2. Use Advanced Properties to change naming attribute to cn, then delete objectclass inetorgperson

:-(
Comment 4 Fedora End Of Life 2018-05-03 04:24:52 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 mreynolds 2018-05-10 12:17:42 EDT
Sorry Richard, we are deprecating the 389-console starting in F28 and replacing it with a Cockpit Plugin for server administration.  There are no plans to do any work on 389-console from this point forward.

Note You need to log in before you can comment on or make changes to this bug.